List available tools and their status for a workspace.
curl --request GET \
--url https://api.rigbox.dev/api/v1/workspaces/{id}/tools \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rigbox.dev/api/v1/workspaces/{id}/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rigbox.dev/api/v1/workspaces/{id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tools": [
{
"category": "<string>",
"description": "<string>",
"discovery": {
"filenames": [
"<string>"
],
"max_depth": 1,
"max_projects": 1,
"type": "FilePresence",
"exclude_paths": [
"<string>"
]
},
"icon": "<string>",
"id": "<string>",
"name": "<string>",
"port": 1,
"subdomain_suffix": "<string>",
"available": true,
"project_roots_truncated": true,
"running": true,
"install_hint": "<string>",
"tags": [
"<string>"
],
"needs_install": true,
"project_roots": [
"<string>"
],
"started_at_ms": 1,
"status_sys": "<string>",
"unavailable_reason": "<string>",
"url": "<string>"
}
]
}Tools
List Tools
List available tools and their install status for a workspace.
GET
/
api
/
v1
/
workspaces
/
{id}
/
tools
List available tools and their status for a workspace.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID
Response
200 - application/json
List of available workspace tools with status
Show child attributes
Show child attributes
⌘I